
.subckt CNTRL_STROBE_StratixII D6 E21 D4 in

*[MCP Begin]
*[MCP Ver] 1.2
*[MCP Source] Cadence MCP Editor
*
*[REM]***********************************************************************
*[Connection] to_PCB  to_PCB
*[Connection Type] 
*[Power Nets]
*E21	E21	1.8V_DIMM
*[Ground Nets]
*D4	D4	GND
*[Signal Nets]
*D6	D6	SIGNAL
*
*[REM]***********************************************************************
*[Connection] Repeater  Repeater
*[Connection Type] Repeater
*[Ground Nets]
*2	D4	D4
*[Signal Nets]
*1	in	in
*
*[MCP End]
.ends CNTRL_STROBE_StratixII


.subckt CNTRL_STROBE_StratixII_OnDie_RC
+ in_D6     in_E21     in_D4     out_D6     out_E21     out_D4
* User-specified OnDie parasitics parameters
+ rshort = 0.001		$ Short Resistor
+ rpds = 0.3		$ PDS Resistor
+ cpds = 0.5n		$ PDS Capacitor

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the OnDie parasitics based on the user-specified OnDie parameters.
* Editing of sub-circuit definition is NOT recommended.

** Signals
* For D6
r1_D6 in_D6 out_D6 'rshort'

** Powers
* For E21
r1_E21 in_E21 out_E21 'rshort'
r2_E21 in_E21 node_1_E21 'rpds'
c1_E21 node_1_E21 in_D4 'cpds'

** Grounds
* For D4
* .connect in_D4 out_D4
* .connect in_D4 ngnd
* r_in_D4_ngnd  in_D4 ngnd 1e-5

.ends CNTRL_STROBE_StratixII_OnDie_RC


.subckt CNTRL_STROBE_StratixII_Pin_RLC
+ in_D6     in_E21     in_D4     out_D6     out_E21     out_D4
* Package RLC Parameters
+ R_pkg = 0.16
+ L_pkg = 0.95nH
+ C_pkg = 0.71pF

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the package parasitics based on the values of R_pin, L_pin and
* C_pin in the [Pin] section of the component 'StratixII' in 'stratix2.ibs' file.
* Editing of sub-circuit definition is NOT recommended.

** Signals
x_D6 in_D6 out_D6 in_D4 onpkg_RLC R_Pin='R_pkg' L_Pin='L_pkg' C_Pin='C_pkg'

** Powers
* .connect in_E21 out_E21

** Grounds
* .connect in_D4 out_D4
* .connect in_D4 ngnd
* r_in_D4_ngnd  in_D4 ngnd 1e-5

.subckt onpkg_RLC in out ngnd
+ R_Pin=0.16
+ L_Pin=0.95nH
+ C_Pin=0.71pF
r1 in 1 R_Pin
l1 1 out L_Pin
c1 out ngnd C_Pin
.ends onpkg_RLC

.ends CNTRL_STROBE_StratixII_Pin_RLC


.subckt CNTRL_STROBE_StratixII_PkgModel
+ in_D6     in_E21     in_D4     out_D6     out_E21     out_D4

* NOTE - This is the Topology Workbench generated sub-circuit definition
* Editing of sub-circuit definition is NOT recommended.

* .connect in_D6 out_D6
* .connect in_E21 out_E21
* .connect in_D4 out_D4
* .connect in_D4 ngnd
r_in_D4_ngnd  in_D4 ngnd 1e-5

.ends CNTRL_STROBE_StratixII_PkgModel

