
.subckt DIMM_STROBE_MT47H128M4CB C2 C7 B8 rxnode

*[MCP Begin]
*[MCP Ver] 1.2
*[MCP Source] Cadence MCP Editor
*
*[REM]***********************************************************************
*[Connection] to_PCB  to_PCB
*[Connection Type] 
*[Power Nets]
*C7	C7	VDDQ
*[Ground Nets]
*B8	B8	VSSQ
*[Signal Nets]
*C2	C2	DQ1
*
*[REM]***********************************************************************
*[Connection] Repeater  Repeater
*[Connection Type] Repeater
*[Ground Nets]
*2	B8	B8
*[Signal Nets]
*1	rxnode	rxnode
*
*[MCP End]
.ends DIMM_STROBE_MT47H128M4CB


.subckt DIMM_STROBE_MT47H128M4CB_OnDie_RC
+ in_C2     in_C7     in_B8     out_C2     out_C7     out_B8
* User-specified OnDie parasitics parameters
+ rshort = 0.001		$ Short Resistor
+ rpds = 0.3		$ PDS Resistor
+ cpds = 0.5n		$ PDS Capacitor

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the OnDie parasitics based on the user-specified OnDie parameters.
* Editing of sub-circuit definition is NOT recommended.

** Signals
* For C2
r1_C2 in_C2 out_C2 'rshort'

** Powers
* For C7
r1_C7 in_C7 out_C7 'rshort'
r2_C7 in_C7 node_1_C7 'rpds'
c1_C7 node_1_C7 in_B8 'cpds'

** Grounds
* For B8
* .connect in_B8 out_B8
* .connect in_B8 ngnd
* r_in_B8_ngnd  in_B8 ngnd 1e-5

.ends DIMM_STROBE_MT47H128M4CB_OnDie_RC


.subckt DIMM_STROBE_MT47H128M4CB_Pin_RLC
+ in_C2     in_C7     in_B8     out_C2     out_C7     out_B8
* Package RLC Parameters
+ R_pkg = 151m
+ L_pkg = 2.22nH
+ C_pkg = 0.14pF

* NOTE - This is the Topology Workbench generated sub-circuit definition
* for the package parasitics based on the values of R_pin, L_pin and
* C_pin in the [Pin] section of the component 'MT47H128M4CB' in 'memory_dram.ibs' file.
* Editing of sub-circuit definition is NOT recommended.
* Warning: Pin parasitics found for GND pins; will be ignored.

** Signals
x_C2 in_C2 out_C2 in_B8 onpkg_RLC R_Pin=161m L_Pin=2.55nH C_Pin=0.16pF

** Powers
x_C7 in_C7 out_C7 in_B8 onpkg_RLC R_Pin=141m L_Pin=1.92nH C_Pin=0.12pF

** Grounds
* x_B8 in_B8 out_B8 in_B8 onpkg_RLC R_Pin=155m L_Pin=2.50nH C_Pin=0.16pF

.subckt onpkg_RLC in out ngnd
+ R_Pin=151m
+ L_Pin=2.22nH
+ C_Pin=0.14pF
r1 in 1 R_Pin
l1 1 out L_Pin
c1 out ngnd C_Pin
.ends onpkg_RLC

.ends DIMM_STROBE_MT47H128M4CB_Pin_RLC


.subckt DIMM_STROBE_MT47H128M4CB_PkgModel
+ in_C2     in_C7     in_B8     out_C2     out_C7     out_B8

* NOTE - This is the Topology Workbench generated sub-circuit definition
* Editing of sub-circuit definition is NOT recommended.

* .connect in_C2 out_C2
* .connect in_C7 out_C7
* .connect in_B8 out_B8
* .connect in_B8 ngnd
r_in_B8_ngnd  in_B8 ngnd 1e-5

.ends DIMM_STROBE_MT47H128M4CB_PkgModel

